%define	name RoundCubeMail
%define	release	1
%define	version	1.6.2

Summary: RoundCube Webmail is a browser-based multilingual IMAP client
Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications/Internet
License: GNU General Public License (GPL)
URL: http://www.roundcube.net
Source0: roundcubemail-%{version}-complete.tar.gz
Source1: roundcubemail-db-%{version}-%{release}.tgz
Distribution: Issabel
BuildRoot: /var/tmp/%{name}-%{version}-root
BuildArch: noarch
Patch0: roundcube-issabel-login.patch
Requires(pre): issabel-framework >= 5.0.0-1
Requires: issabel-firstboot >= 5.0.0-1
Requires(pre): issabel-email_admin >= 5.0.0-0
Requires: php-zip

%description
RoundCube Webmail is a browser-based multilingual IMAP client with an application-like user interface. It provides full functionality you expect from an e-mail client, including MIME support, address book, folder manipulation, message searching and spell checking. RoundCube Webmail is written in PHP and requires the MySQL database. The user interface is fully skinnable using XHTML and CSS 2.

%prep
%setup -n roundcubemail-%{version}
%patch0 -p1

%install
rm -rf   $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/www/html/mail/
mv  $RPM_BUILD_DIR/roundcubemail-%{version}/*  $RPM_BUILD_ROOT/var/www/html/mail/


mkdir -p  $RPM_BUILD_ROOT/usr/share/issabel/module_installer/build_tmp/
mkdir -p  $RPM_BUILD_ROOT/usr/share/issabel/module_installer/%{name}-%{version}-%{release}/
tar -xvzf %{SOURCE1} -C $RPM_BUILD_ROOT/usr/share/issabel/module_installer/build_tmp/

mv $RPM_BUILD_ROOT/usr/share/issabel/module_installer/build_tmp/roundcubemail-db/setup/   $RPM_BUILD_ROOT/usr/share/issabel/module_installer/%{name}-%{version}-%{release}/
mv $RPM_BUILD_ROOT/usr/share/issabel/module_installer/build_tmp/roundcubemail-db/menu.xml $RPM_BUILD_ROOT/usr/share/issabel/module_installer/%{name}-%{version}-%{release}/

%pre
mkdir -p /usr/share/issabel/module_installer/%{name}-%{version}-%{release}/
touch /usr/share/issabel/module_installer/%{name}-%{version}-%{release}/preversion_%{name}.info
if [ $1 -eq 2 ]; then
    rpm -q --queryformat='%{VERSION}-%{RELEASE}' %{name} > /usr/share/issabel/module_installer/%{name}-%{version}-%{release}/preversion_%{name}.info
fi


%post
pathModule="/usr/share/issabel/module_installer/%{name}-%{version}-%{release}"

# Run installer script to fix up ACLs and add module to Elastix menus.
issabel-menumerge /usr/share/issabel/module_installer/%{name}-%{version}-%{release}/menu.xml
pathSQLiteDB="/var/www/db"
mkdir -p $pathSQLiteDB
preversion=`cat $pathModule/preversion_%{name}.info`

if [ $1 -eq 1 ]; then #install
  # The installer database
  issabel-dbprocess "install" "$pathModule/setup/db"
elif [ $1 -eq 2 ]; then #update
  # The installer database
  issabel-dbprocess "update" "$pathModule/setup/db" "$preversion"
fi


%preun
pathModule="/usr/share/issabel/module_installer/%{name}-%{version}-%{release}"
if [ $1 -eq 0 ] ; then # delete
  echo "Delete RoundCubeMail menu"
  issabel-menuremove "webmail"

  echo "Dump and delete %{name} databases"
  issabel-dbprocess "delete" "$pathModule/setup/db"
fi

%clean
rm -rf $RPM_BUILD_ROOT/

%files
%defattr(-, asterisk, asterisk)
/var/www/html/mail/*
/usr/share/issabel/module_installer/*
%config(noreplace) /var/www/html/mail/config/*.inc.php


%changelog
